SmartWebSecurity MatchList API, REST: MatchList.Create
Creates a MatchList resource in the specified folder.
HTTP request
POST https://smartwebsecurity.api.cloud.yandex.net/smartwebsecurity/v1/matchLists
Body parameters
{
"folderId": "string",
"labels": "object",
"name": "string",
"description": "string",
"listType": "string",
"itemType": "string",
"items": [
{
"value": "string",
"description": "string"
}
]
}
Request message for MatchListService.Create.
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to create the match list in. |
|
labels |
object (map<string, string>) Labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
name |
string Required field. Name of the match list. The string length in characters must be 1-50. Value must match the regular expression |
|
description |
string Description of the match list. The maximum string length in characters is 512. |
|
listType |
enum (ListType) Match list type.
|
|
itemType |
enum (ItemType) Match list item type.
|
|
items[] |
Match list items. |
Item
Item
|
Field |
Description |
|
value |
string Required field. Value of the item. The maximum string length in characters is 256. |
|
description |
string Description of the item. The maximum string length in characters is 128. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |